package com.fjhx.purchase.service.arrival;

import com.fjhx.purchase.entity.arrival.po.Arrival;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.arrival.vo.ArrivalVo;
import com.fjhx.purchase.entity.arrival.dto.ArrivalSelectDto;
import com.fjhx.purchase.entity.arrival.dto.ArrivalDto;


/**
 * <p>
 * 到货 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-07
 */
public interface ArrivalService extends BaseService<Arrival> {

    /**
     * 到货分页
     */
    Page<ArrivalVo> getPage(ArrivalSelectDto dto);

    /**
     * 到货明细
     */
    ArrivalVo detail(Long id);

    /**
     * 到货新增
     */
    void add(Arrival arrival);

    /**
     * 到货新增 维多利亚
     */
    void addByWdly(ArrivalDto arrival);

    /**
     * 到货编辑
     */
    void edit(ArrivalDto arrivalDto);

    /**
     * 到货删除
     */
    void delete(Long id);

    /**
     * 根据发货id获取本次发货的到货信息
     */
    ArrivalVo arrivalInfo(Long deliverGoodsId);
}
